import type { Tracer } from 'dd-trace';
import type { ApiKeyCredentials, BasicApiCredentials } from '../models/Auth.js';
import type { RecentlyCreatedConnection, ConnectionConfig } from '../models/Connection.js';
import type { Template as ProviderTemplate } from '../models/Provider.js';
import type { Result } from '../utils/result.js';
import { NangoError } from '../utils/error.js';
export declare const connectionCreated: (connection: RecentlyCreatedConnection, provider: string, activityLogId: number | null, options?: {
    initiateSync?: boolean;
    runPostConnectionScript?: boolean;
}) => Promise<void>;
export declare const connectionCreationFailed: (connection: RecentlyCreatedConnection, provider: string, activityLogId: number | null) => Promise<void>;
export declare const connectionTest: (provider: string, template: ProviderTemplate, credentials: ApiKeyCredentials | BasicApiCredentials, connectionId: string, providerConfigKey: string, environment_id: number, connection_config: ConnectionConfig, tracer: Tracer) => Promise<Result<boolean, NangoError>>;
