import db, { schema } from '../database.js';
import connectionService from '../../services/connection.service.js';
import environmentService from '../../services/environment.service.js';
export const createConnectionSeeds = async (environmentName = '') => {
    let result;
    if (environmentName) {
        result = [await environmentService.createEnvironment(0, environmentName)];
    }
    else {
        result = await schema().select('*').from('_nango_environments');
    }
    const connections = [];
    for (const { id: environment_id } of result) {
        const connectionParams = [
            [Math.random().toString(36).substring(7)],
            [Math.random().toString(36).substring(7)],
            [Math.random().toString(36).substring(7)],
            [Math.random().toString(36).substring(7)]
        ];
        const connectionIds = [];
        for (const [name] of connectionParams) {
            const [result] = (await connectionService.upsertConnection(`conn-${name}`, `provider-${name}`, 'google', {}, {}, environment_id, 0));
            const { id: connection_id } = result;
            connectionIds.push(connection_id);
        }
        connections.push(...connectionIds);
    }
    return connections;
};
export const deleteAllConnectionSeeds = async () => {
    await db.knex.raw('TRUNCATE TABLE _nango_connections CASCADE');
};
//# sourceMappingURL=connection.seeder.js.map