import type { Account } from '../models/Admin';
declare class AccountService {
    getAccountById(id: number): Promise<Account | null>;
    editAccount(name: string, id: number): Promise<void>;
    getAccountAndEnvironmentIdByUUID(targetAccountUUID: string, targetEnvironment: string): Promise<{
        accountId: number;
        environmentId: number;
    } | null>;
    getUUIDFromAccountId(accountId: number): Promise<string | null>;
    getOrCreateAccount(name: string): Promise<Account>;
    /**
     * Create Account
     * @desc create a new account and assign to the default environmenets
     */
    createAccount(name: string): Promise<Account | null>;
}
declare const _default: AccountService;
export default _default;
