import type { UpsertResponse } from '../../../models/Data.js';
import type { DataRecord } from '../../../models/Sync.js';
/**
 * Upsert
 */
export declare function upsert(response: DataRecord[], dbTable: string, uniqueKey: string, nangoConnectionId: number, model: string, activityLogId: number, environment_id: number, track_deletes?: boolean, softDelete?: boolean): Promise<UpsertResponse>;
export declare function updateRecord(records: DataRecord[], dbTable: string, uniqueKey: string, nangoConnectionId: number, model: string, activityLogId: number, environment_id: number): Promise<UpsertResponse>;
export declare function removeDuplicateKey(response: DataRecord[], uniqueKey: string, activityLogId: number, environment_id: number, model: string): Promise<DataRecord[]>;
/**
 * Compute Added Keys
 * @desc for any incoming payload use the provided unique to check against the rows
 * in the database and return the keys that are not in the database
 *
 */
export declare function getAddedKeys(response: DataRecord[], dbTable: string, uniqueKey: string, nangoConnectionId: number, model: string): Promise<string[]>;
/**
 * Get Updated Keys
 * @desc generate an array of the keys that exist in the database and also in
 * the incoming payload that will be used to update the database.
 * Compare using the data_hash key
 *
 */
export declare function getUpdatedKeys(response: DataRecord[], dbTable: string, uniqueKey: string, nangoConnectionId: number, model: string): Promise<string[]>;
