export declare const getDeletedKeys: (dbTable: string, uniqueKey: string, nangoConnectionId: number, model: string) => Promise<any>;
export declare const getFullRecords: (nangoConnectionId: number, model: string) => Promise<any>;
export declare const getFullSnapshotRecords: (nangoConnectionId: number, model: string) => Promise<any>;
export declare const markRecordsForDeletion: (nangoConnectionId: number, model: string) => Promise<void>;
/**
 * Clear Old Records
 * @desc clear out any records that are marked for deletion
 * so that the delete accounting can be done correctly
 */
export declare const clearOldRecords: (nangoConnectionId: number, model: string) => Promise<void>;
/**
 * Take Snapshot
 * @desc given a connection id and model, take a snapshot of the records
 * so it can be used for later comparison to track deletes
 *
 */
export declare const takeSnapshot: (nangoConnectionId: number, model: string) => Promise<boolean>;
/**
 * Update Created At
 * @desc using the DELETE_RECORDS_TABLE, update the created_at in the RECORDS_TABLE
 * column using the value in the DELETE_RECORDS_TABLE
 * where those same records exist in the RECORDS_TABLE using the uniqueKey
 */
export declare const syncUpdateAtForChangedRecords: (nangoConnectionId: number, model: string, uniqueKey: string, updatedKeys: string[]) => Promise<void>;
export declare const syncCreatedAtForAddedRecords: (nangoConnectionId: number, model: string, uniqueKey: string, addedKeys: string[]) => Promise<void>;
export declare const syncUpdateAtForDeletedRecords: (nangoConnectionId: number, model: string, uniqueKey: string, deletedKeys: string[]) => Promise<void>;
