import type { Context } from '@temporalio/activity';
import type { NangoConnection } from '../../models/Connection.js';
import { SyncType, IntegrationServiceInterface } from '../../models/Sync.js';
import type { ServiceResponse } from '../../models/Generic.js';
import type { UpsertSummary } from '../../models/Data.js';
import type { Metadata } from '../../models/Connection';
interface SyncRunConfig {
    integrationService: IntegrationServiceInterface;
    writeToDb: boolean;
    isAction?: boolean;
    isInvokedImmediately?: boolean;
    isWebhook?: boolean;
    nangoConnection: NangoConnection;
    syncName: string;
    syncType: SyncType;
    syncId?: string;
    syncJobId?: number;
    activityLogId?: number | undefined;
    provider?: string;
    loadLocation?: string;
    debug?: boolean;
    input?: object;
    logMessages?: unknown[] | undefined;
    stubbedMetadata?: Metadata | undefined;
    temporalContext?: Context;
}
export default class SyncRun {
    integrationService: IntegrationServiceInterface;
    writeToDb: boolean;
    isAction: boolean;
    isInvokedImmediately: boolean;
    nangoConnection: NangoConnection;
    syncName: string;
    syncType: SyncType;
    syncId?: string;
    syncJobId?: number;
    activityLogId?: number;
    provider?: string;
    loadLocation?: string;
    debug?: boolean;
    input?: object;
    logMessages?: unknown[] | undefined;
    stubbedMetadata?: Metadata | undefined;
    temporalContext?: Context;
    isWebhook: boolean;
    constructor(config: SyncRunConfig);
    cancel(): Promise<ServiceResponse<boolean>>;
    run(optionalLastSyncDate?: Date | null, bypassEnvironment?: boolean, optionalSecretKey?: string, optionalHost?: string): Promise<ServiceResponse<boolean | object>>;
    finishSync(models: string[], syncStartDate: Date, version: string, totalRunTime: number, trackDeletes?: boolean): Promise<void>;
    reportResults(model: string, responseResults: UpsertSummary, index: number, numberOfModels: number, syncStartDate: Date, version: string, totalRunTime: number, trackDeletes?: boolean): Promise<void>;
    reportFailureForResults(content: string): Promise<void>;
    private determineErrorType;
}
export {};
