export declare enum LogTypes {
    AUTH_TOKEN_REFRESH_START = "auth_token_refresh_start",
    AUTH_TOKEN_REFRESH_SUCCESS = "auth_token_refresh_success",
    AUTH_TOKEN_REFRESH_FAILURE = "auth_token_refresh_failure",
    AUTH_TOKEN_REQUEST_START = "auth_token_request_start",
    AUTH_TOKEN_REQUEST_CALLBACK_RECEIVED = "auth_token_request_callback_received",
    AUTH_TOKEN_REQUEST_SUCCESS = "auth_token_request_success",
    AUTH_TOKEN_REQUEST_FAILURE = "auth_token_request_failure",
    ACTION_SUCCESS = "action_success",
    ACTION_FAILURE = "action_failure",
    SYNC_OVERLAP = "sync_overlap",
    SYNC_FAILURE = "sync_failure",
    SYNC_SUCCESS = "sync_success",
    SYNC_SCRIPT_RETURN_USED = "sync_script_return_used",
    GET_CONNECTION_FAILURE = "get_connection_failure",
    GET_CONNECTION_SUCCESS = "get_connection_success",
    SYNC_DEPLOY_SUCCESS = "sync_deploy_success",
    SYNC_DEPLOY_FAILURE = "sync_deploy_failure",
    SYNC_GET_RECORDS_OFFSET_USED = "sync_get_records_offset_used",
    SYNC_GET_RECORDS_SORT_BY_USED = "sync_get_records_sort_by_used",
    SYNC_GET_RECORDS_ORDER_USED = "sync_get_records_order_used",
    SYNC_GET_RECORDS_INCLUDE_METADATA_USED = "sync_get_records_include_metadata_used",
    SYNC_GET_RECORDS_DEPRECATED_METHOD_USED = "sync_get_records_deprecated_method_used",
    SYNC_GET_RECORDS_QUERY_TIMEOUT = "sync_get_records_query_timeout",
    FLOW_JOB_TIMEOUT_FAILURE = "flow_job_failure",
    POST_CONNECTION_SCRIPT_FAILURE = "post_connection_script_failure",
    INCOMING_WEBHOOK_RECEIVED = "incoming_webhook_received",
    INCOMING_WEBHOOK_ISSUE_WRONG_CONNECTION_IDENTIFIER = "incoming_webhook_issue_wrong_connection_identifier",
    INCOMING_WEBHOOK_ISSUE_CONNECTION_NOT_FOUND = "incoming_webhook_issue_connection_not_found",
    INCOMING_WEBHOOK_ISSUE_WEBHOOK_SUBSCRIPTION_NOT_FOUND_REGISTERED = "incoming_webhook_issue_webhook_subscription_not_found_registered",
    INCOMING_WEBHOOK_PROCESSED_SUCCESSFULLY = "incoming_webhook_processed_successfully",
    INCOMING_WEBHOOK_FAILED_PROCESSING = "incoming_webhook_failed_processing"
}
export declare enum MetricTypes {
    ACTION_TRACK_RUNTIME = "action_track_runtime",
    SYNC_TRACK_RUNTIME = "sync_script_track_runtime",
    WEBHOOK_TRACK_RUNTIME = "webhook_track_runtime",
    RUNNER_SDK = "nango.runner.sdk",
    JOBS_CLEAN_ACTIVITY_LOGS = "nango.jobs.cron.cleanActivityLogs",
    JOBS_DELETE_SYNCS_DATA = "nango.jobs.cron.deleteSyncsData",
    JOBS_DELETE_SYNCS_DATA_JOBS = "nango.jobs.cron.deleteSyncsData.jobs",
    JOBS_DELETE_SYNCS_DATA_SCHEDULES = "nango.jobs.cron.deleteSyncsData.schedules",
    JOBS_DELETE_SYNCS_DATA_RECORDS = "nango.jobs.cron.deleteSyncsData.records",
    JOBS_DELETE_SYNCS_DATA_DELETES = "nango.jobs.cron.deleteSyncsData.deletes",
    PERSIST_RECORDS_COUNT = "nango.persist.records.count",
    PERSIST_RECORDS_SIZE_IN_BYTES = "nango.persist.records.sizeInBytes"
}
export declare enum SpanTypes {
    CONNECTION_TEST = "nango.server.hooks.connectionTest",
    JOBS_IDLE_DEMO = "nango.jobs.cron.idleDemos",
    RUNNER_EXEC = "nango.runner.exec"
}
declare class Telemetry {
    private logInstance;
    constructor();
    log(eventId: string, message: string, operation: string, context?: Record<string, string>, additionalTags?: string): Promise<void>;
    increment(metricName: MetricTypes, value?: number): void;
    decrement(metricName: MetricTypes, value?: number): void;
    duration(metricName: MetricTypes, value: number): void;
    time<T, E, F extends (...args: E[]) => Promise<T>>(metricName: MetricTypes, func: F): F;
}
declare const _default: Telemetry;
export default _default;
