import type { Response } from 'express';
declare class LocalFileService {
    getIntegrationFile(syncName: string, setIntegrationPath?: string | null): string | null;
    putIntegrationFile(syncName: string, fileContents: string, distPrefix: boolean): boolean;
    checkForIntegrationDistFile(syncName: string, optionalNangoIntegrationsDirPath?: string): {
        result: boolean;
        path: string;
    };
    checkForIntegrationSourceFile(fileName: string, optionalNangoIntegrationsDirPath?: string): {
        result: boolean;
        path: string;
    };
    getIntegrationClass(syncName: string, setIntegrationPath?: string): Promise<any>;
    getIntegrationTsFile(syncName: string, setIntegrationPath?: string | null): string | null;
    getNangoYamlFileContents(setIntegrationPath?: string | null): string | null;
    /**
     * Zip And Send Files
     * @desc grab the files locally from the integrations path, zip and send
     * the archive
     */
    zipAndSendFiles(res: Response, integrationName: string, accountId: number, environmentId: number, nangoConfigId: number): Promise<void>;
    private resolveIntegrationFile;
}
declare const _default: LocalFileService;
export default _default;
