import type { UpsertResponse } from '../../../models/Data.js';
import type { DataRecord } from '../../../models/Sync.js';
/**
 * Upsert
 */
export declare function upsert(records: DataRecord[], nangoConnectionId: number, model: string, activityLogId: number, environment_id: number, softDelete?: boolean): Promise<UpsertResponse>;
export declare function update(records: DataRecord[], nangoConnectionId: number, model: string, activityLogId: number, environment_id: number): Promise<UpsertResponse>;
export declare function removeDuplicateKey(response: DataRecord[], activityLogId: number, environment_id: number, model: string): Promise<DataRecord[]>;
/**
 * Compute Added Keys
 * @desc for any incoming payload use the provided unique to check against the rows
 * in the database and return the keys that are not in the database
 *
 */
export declare function getAddedKeys(response: DataRecord[], nangoConnectionId: number, model: string): Promise<string[]>;
/**
 * Get Updated Keys
 * @desc generate an array of the keys that exist in the database and also in
 * the incoming payload that will be used to update the database.
 * Compare using the data_hash key
 *
 */
export declare function getUpdatedKeys(response: DataRecord[], nangoConnectionId: number, model: string): Promise<string[]>;
