import type { DataResponse } from '../../../models/Data.js';
import type { Connection } from '../../../models/Connection.js';
import type { Sync, Job as SyncJob } from '../../../models/Sync.js';
import type { Environment } from '../../../models/Environment.js';
export declare function upsertNRecords(n: number): Promise<{
    env: Environment;
    connection: Connection;
    model: string;
    sync: Sync;
    syncJob: SyncJob;
    activityLogId: number;
}>;
export declare function upsertRecords(toInsert: DataResponse[]): Promise<{
    env: Environment;
    connection: Connection;
    model: string;
    sync: Sync;
    syncJob: SyncJob;
    activityLogId: number;
}>;
export declare function createRecords(records: DataResponse[]): Promise<{
    meta: {
        env: Environment;
        nangoConnectionId: number;
        modelName: string;
        sync: Sync;
        syncJob: SyncJob;
    };
    response: import("../../../index.js").ServiceResponse<import("../../../models/Sync.js").DataRecord[]>;
}>;
export declare function generateInsertableJson(num: number): {
    id: string;
    name: string;
    email: string;
    phone: string;
    address: string;
    city: string;
    state: string;
    zip: string;
    country: string;
    company: string;
    jobTitle: string;
    website: string;
    externalCreatedAt: string;
    updatedAt: string;
    externalUpdatedAt: string;
}[];
